package com.ruoyi.szxc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 居民房屋关联对象 szxc_jm_house
 *
 * @author hs
 * @date 2024-03-30
 */
public class SzxcJmHouse extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 居民id */
    @Excel(name = "居民id")
    private Long jmId;

    /** 房屋id */
    @Excel(name = "房屋id")
    private Long houseId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setJmId(Long jmId)
    {
        this.jmId = jmId;
    }

    public Long getJmId()
    {
        return jmId;
    }
    public void setHouseId(Long houseId)
    {
        this.houseId = houseId;
    }

    public Long getHouseId()
    {
        return houseId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("jmId", getJmId())
                .append("houseId", getHouseId())
                .toString();
    }
}
